Skip to main content
PATCH
Rename, disable or re-enable a computer

Authorizations

Authorization
string
header
default:pe_test_REPLACE_WITH_YOUR_TEST_KEY
required

Send Authorization: Bearer <API key>. Use a pe_test_ key in the playground; it only reaches virtual test printers.

Path Parameters

id
string<uuid>
required

Body

application/json

Changes

disabled
boolean

true disconnects the agent and stops printing; false re-enables it

name
string

New display name

Required string length: 1 - 100

Response

The updated computer

agentVersion
string
required
arch
string
required
createdAt
string
required
hostname
string
required
id
string
required
lastSeenAt
string | null
required
mode
enum<string>
required
Available options:
live,
test
name
string
required
os
string
required
osVersion
string
required
state
enum<string>
required
Available options:
online,
offline,
disabled